3 Replies Latest reply on Jan 10, 2006 10:57 AM by Ego IO

    Support for Tomcat 5.5.9

    Edward Scanzano Newbie

      Hi All,

      Does anyone know when Tomcat 5.5.9 will be supported or how can I uninstall the version of Tomcat that comes with JBoss 4.0.0 and install Tomcat 5.5.9.

      Thanks
      E

        • 1. Re: Support for Tomcat 5.5.9
          Chris Callaghan Newbie

          Tomcat 5.5.9 is bundled with JBoss 4.0.2

          • 2. Re: Support for Tomcat 5.5.9
            panu viljamaa Newbie

            The more general question is, how does one replace a given Tomcat version with another, and 'rebundle' it with JBOSS?

            My question is: How can I build the whole bundle from source, including Tomcat sources. I was able to build JBOSS from source, pretty easily. When running that server under JBOSS-IDE, I was able to debug it, and see much of what is going on, and even instrument the code with log output. Great. But whenever the execution is on the side of Tomcat, I can't see the Tomcat sources, and can only guess what happens there.

            Another debugging question is: How to see what happens when the control jumps over a proxy to a J2EE Bean? Is it possible to debug and see what the generated or hand-coded Bean-methods are doing?

            By making it easy to debug everything that happens in the Tomcat-JBOSS-client-JBOSS-container -bundle end-to-end would make it an excellent learning tool, and would surely help JBOSS gain market-share.

            Thanks

            • 3. Re: Support for Tomcat 5.5.9
              Ego IO Newbie

              Hi everybody...

              I'd like to know too if it's possible to change the Tomcat underlying JBoss AS and if is there any document that explain how to do it...

              Thanks.

              Il Dima